configure(1)

NAME
configure — prepare source code to be built

SYNOPSIS
configure host1 [host2 [host3 ...]] [-exec_prefix=dir] [-gas] [-help] [-host=h] [-nfp] [-norecursion] [-prefix=dir] [-s] [-rm] [-site=s] [-srcdir=dir] [-target=t] [-v] [-x]

DESCRIPTION
Configure is a program used to prepare souce code to be built. It does this by generating Makefiles and .gdbinit files, creating symlinks, digging directories, and some other miscellaneous file editting.

OPTIONS
Configure accepts the following options:

-exec_prefix=dir
    sets the root directory for host dependent files to dir. The default location is the same as prefix.

-gas
    tells configure that the GNU assembler is available on this machine even if it is not ordinarily.

-help
    displays a brief summary of the calling convention.

-host=h
    asks configure to prepare the source to be compiled in an environment called h. This option is very confusing and is best ignored. FIXME: I don't think it should even be documented.

-nfp
    Notifies configure that all of the specified hosts have no floating point units.

-norecursion
    asks that only the current directory be configured. Normally configure recurs on subdirectories.

-prefix=dir
    sets the default location in which to install files to dir. The default is "/usr/local".

-s  used internally by configure to supress status messages on subdirectory recursions.

-rm asks configure to remove a configuration rather than creating one.

-site=s
    asks configure to use any site specific Makefile fragments for s when building Makefiles.

-srcdir=dir
    tells configure to find the source in srcdir.

-target=t
    Requests that the sources be configured to target the t machine. If no targets are specified explicitly, the target is assumed to be the same as the host.

-tmpdir=dir
    Sets the directory in which configure creates temporary files to tmpdir.

-verbose
    -v Asks that configure print status lines for each directory configured. Normally, only the status lines for the current directory are printed.

-x  Tells configure that MIT style X11 header files and libraries are available on this machine, even if they are not normally available.

FILES
configure.in    for each directory's individual needs
config.sub    for parsing configuration names

SEE ALSO
`configure' entry in info. (not yet available).